public class Polynome {

/* Calcul de la puissance entiere d'un reel    */

  static double puissance(double v,int n) {
    double p;
    int i;
    if ( n == 0 ) {
      p = 1.0; }
      else {
      p = v;
      for ( i = 1 ; i <= n-1 ; i = i+1 ) {
        p = p*v; } }
    return p;
  }

/* Calcul d'un polynome                        */

  static double polynome(double x,int m,int n) {
    double res;
    res = puissance(x,m)+puissance(x,n);
    return res;
  }

/* Programme principal                         */

  public static void main(String [] args) {
    double x;
    int m;
    int n;
    double p;
    Ecran.afficher("SVP, x : ");
    x = Clavier.saisirDouble();  
    Ecran.afficher("SVP, m : ");
    m = Clavier.saisirInt();  
    Ecran.afficher("SVP, n : ");
    n = Clavier.saisirInt();  
    p = polynome(x,m,n);
    Ecran.afficherln("Resultat = ",p);
  }
}